## loupe 49.0

=== debian/changelog ===
loupe (49.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian. Remaining changes:
    - Vendor the rust crates
    - d/p/patch-meson-build.diff: Fix cp command path
    - Add d/p/Make-background-color-switching-algorithm-more-aggressive.patch
  * Automate XS-Vendored-Sources-Rust handling
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 12:04:03 +0200

loupe (49.0-1) unstable; urgency=medium

  * New upstream release
  * d/p: Drop cherrypicked upstream patch, applied in new release
  * d/patches: Refresh remaining patches
  * d/control: Update B-D with debcargo

 -- Matthias Geiger <werdahias@debian.org>  Sat, 13 Sep 2025 18:08:00 +0200

loupe (49~rc-3ubuntu1) questing; urgency=medium

  * Merge with Debian. Remaining changes:
    - Vendor the rust crates
    - d/p/patch-meson-build.diff: Fix cp command path
    - Add d/p/Make-background-color-switching-algorithm-more-aggressive.patch
  * Rebase d/p/glycin-use-unstable-config-feature.diff
  * Update glycin crate to fix FTBFS on 32-bit architectures

 -- Alessandro Astone <alessandro.astone@canonical.com>  Sun, 14 Sep 2025 14:27:31 +0200

loupe (49~rc-2ubuntu1) questing; urgency=medium

  * Merge with debian. Remaining changes:
    - Vendor the rust crates
    - d/p/patch-meson-build.diff: Fix cp command path
    - Add d/p/Make-background-color-switching-algorithm-more-aggressive.patch
  * d/p: Refresh background color patch
  * Update vendored rust crates
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Sep 2025 15:42:36 +0200

=== debian/control ===
Source: loupe
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59.0),
 quilt,
 desktop-file-utils,
 itstool,
 libadwaita-1-dev (>= 1.7.0-~~),
 liblcms2-dev (>= 2.12.0),
 libgtk-4-dev (>= 4.16),
 libgweather-4-dev (>= 4.0.0),
 libseccomp-dev (>= 2.5.0),
 dh-cargo,
 cargo:native,
 rustc:native (>= 1.85),
 libstd-rust-dev,
# librust-anyhow-1+default-dev (>= 1.0.66-~~),
# librust-arc-swap-1+default-dev (>= 1.6.0-~~),
# librust-ashpd-0.12+async-std-dev,
# librust-ashpd-0.12+gtk4-wayland-dev,
# librust-async-channel-2+default-dev (>= 2.1.0-~~),
# librust-async-lock-3+default-dev (>= 3.4.0-~~),
# librust-cairo-rs-0.21+default-dev,
# librust-cairo-rs-0.21+pdf-dev,
# librust-chrono-0.4+std-dev (>= 0.4.38-~~),
# librust-gettext-rs-0.7+default-dev,
# librust-gettext-rs-0.7+gettext-system-dev,
# librust-gettext-sys-0.21+default-dev,
# librust-gettext-sys-0.21+gettext-system-dev,
# librust-gio-0.21+default-dev,
# librust-gio-0.21+v2-74-dev,
# librust-glycin-3+default-dev,
# librust-glycin-3+gdk4-dev,
# librust-glycin-3+unstable-config-dev,
# librust-gtk4-0.10+default-dev,
# librust-gtk4-0.10+v4-14-dev,
# librust-gtk4-0.10+xml-validation-dev,
# librust-gufo-0.3+all-image-formats-dev,
# librust-gufo-0.3+chrono-dev,
# librust-gufo-0.3+default-dev,
# librust-gufo-common-1+default-dev,
# librust-gufo-common-1+serde-dev,
# librust-gvdb-macros-0.1+default-dev (>= 0.1.6-~~),
# librust-indexmap-2+default-dev,
# librust-libadwaita-0.8+default-dev,
# librust-libadwaita-0.8+v1-6-dev,
# librust-libc-0.2+default-dev (>= 0.2.158-~~),
# librust-libgweather-4+default-dev (>= 4.4.0-~~),
# librust-log-0.4+default-dev (>= 0.4.17-~~),
# librust-strum-0.26+default-dev,
# librust-strum-0.26+derive-dev,
# librust-thiserror-2+default-dev (>= 2.0.3-~~),
# librust-tracing-subscriber-0.3+default-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.18-~~),
# librust-url-2+default-dev (>= 2.3.1-~~)
XS-Vendored-Sources-Rust: adler2@2.0.1, aho-corasick@1.1.3, anyhow@1.0.99, arc-swap@1.7.1, ashpd@0.12.0, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.3, async-fs@2.1.3, async-io@2.5.0, async-lock@3.4.1, async-net@2.0.0, async-process@2.4.0, async-signal@0.2.12, async-task@4.7.1, async-trait@0.1.89, atomic-waker@1.1.2, autocfg@1.5.0, bitflags@2.9.4, blocking@1.6.2, bytemuck@1.23.2, byteorder@1.5.0, cairo-rs@0.21.1, cairo-sys-rs@0.21.1, cc@1.2.36, cfg-expr@0.20.2, cfg-if@1.0.3, cfg_aliases@0.2.1, chrono@0.4.42, concurrent-queue@2.5.0, crc32fast@1.5.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, displaydoc@0.2.5, dlib@0.5.2, dunce@1.0.5, either@1.15.0, encoding_rs@0.8.35, endi@1.1.0, enumflags2@0.7.12, enumflags2_derive@0.7.12, env_filter@0.1.3, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.14, event-listener-strategy@0.5.4, event-listener@5.4.1, fastrand@2.3.0, field-offset@0.3.6, find-msvc-tools@0.1.1, flate2@1.1.2, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, form_urlencoded@1.2.2, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.1, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, gdk-pixbuf-sys@0.21.1, gdk-pixbuf@0.21.1, gdk4-sys@0.10.0, gdk4-wayland-sys@0.10.0, gdk4-wayland@0.10.0, gdk4-x11-sys@0.10.0, gdk4-x11@0.10.0, gdk4@0.10.0, getrandom@0.3.3, gettext-rs@0.7.2, gettext-sys@0.22.5, gio-sys@0.21.1, gio@0.21.1, glib-macros@0.21.0, glib-sys@0.21.1, glib@0.21.1, glycin-common@1.0.0, glycin-utils@4.0.0, glycin@3.0.0, gobject-sys@0.21.1, graphene-rs@0.21.1, graphene-sys@0.21.1, gsk4-sys@0.10.0, gsk4@0.10.0, gtk4-macros@0.10.0, gtk4-sys@0.10.0, gtk4@0.10.0, gufo-common@1.0.1, gufo-exif@0.3.0, gufo-jpeg@0.3.0, gufo-png@0.3.0, gufo-tiff@0.3.0, gufo-webp@0.3.0, gufo-xmp@0.3.0, gufo@0.3.0, gvdb-macros@0.1.15, gvdb@0.9.0, gweather-sys@4.6.0, half@2.6.0, hashbrown@0.15.5, heck@0.5.0, hex@0.4.3, icu_collections@2.0.0, icu_locale_core@2.0.0, icu_normalizer@2.0.0, icu_normalizer_data@2.0.0, icu_properties@2.0.1, icu_properties_data@2.0.1, icu_provider@2.0.0, idna@1.1.0, idna_adapter@1.2.1, indexmap@2.11.1, itoa@1.0.15, jiff@0.2.15, jobserver@0.1.34, lazy_static@1.5.0, lcms2-sys@4.0.6, lcms2@6.1.1, libadwaita-sys@0.8.0, libadwaita@0.8.0, libc@0.2.175, libgweather@4.6.0, libloading@0.8.8, libseccomp-sys@0.3.0, libseccomp@0.4.0, linux-raw-sys@0.11.0, litemap@0.8.0, litrs@0.5.1, locale_config@0.3.0, log@0.4.28, matchers@0.2.0, memchr@2.7.5, memfd@0.6.5, memmap2@0.9.8, memoffset@0.9.1, miniz_oxide@0.8.9, nix@0.30.1, nu-ansi-term@0.50.1, num-traits@0.2.19, once_cell@1.21.3, ordered-stream@0.2.0, pango-sys@0.21.1, pango@0.21.1, parking@2.2.1, paste@1.0.15, percent-encoding@2.3.2, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, polling@3.10.0, potential_utf@0.1.3, ppv-lite86@0.2.21, proc-macro-crate@3.3.0, proc-macro2@1.0.101, quick-xml@0.38.3, quote@1.0.40, rand@0.9.2, rand_chacha@0.9.0, rand_core@0.9.3, rayon-core@1.13.0, rayon@1.11.0, regex-automata@0.4.10, regex-syntax@0.8.6, regex@1.11.2, rmp-serde@1.3.0, rmp@0.8.14, rustc_version@0.4.1, rustix@1.1.2, ryu@1.0.20, same-file@1.0.6, semver@1.0.26, serde@1.0.219, serde_derive@1.0.219, serde_json@1.0.143, serde_repr@0.1.20, serde_spanned@0.6.9, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.6, slab@0.4.11, smallvec@1.15.1, stable_deref_trait@1.2.0, static_assertions@1.1.0, strum@0.27.2, strum_macros@0.27.2, syn@2.0.106, synstructure@0.13.2, system-deps@7.0.5, target-lexicon@0.13.2, temp-dir@0.1.16, thiserror-impl@2.0.16, thiserror@2.0.16, thread_local@1.1.9, tinystr@0.8.1, toml@0.8.23, toml_datetime@0.6.11, toml_edit@0.22.27, tracing-attributes@0.1.30, tracing-core@0.1.34, tracing-log@0.2.0, tracing-subscriber@0.3.20, tracing@0.1.41, unicode-ident@1.0.19, url@2.5.7, utf8_iter@1.0.4, version-compare@0.2.0, walkdir@2.5.0, winnow@0.7.13, writeable@0.6.1, x11@2.21.0, xml-rs@0.8.27, yeslogic-fontconfig-sys@6.0.0, yoke-derive@0.8.0, yoke@0.8.0, zbus@5.11.0, zbus_macros@5.11.0, zbus_names@4.2.0, zerocopy-derive@0.8.27, zerocopy@0.8.27, zerofrom-derive@0.1.6, zerofrom@0.1.6, zerotrie@0.2.2, zerovec-derive@0.11.1, zerovec@0.11.4, zvariant@5.7.0, zvariant_derive@5.7.0, zvariant_utils@3.2.1
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Loupe/
Vcs-Browser: https://salsa.debian.org/gnome-team/loupe
Vcs-Git: https://salsa.debian.org/gnome-team/loupe.git

Package: loupe
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 glycin-loaders (>= 2.0~rc+ds-~~),
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Image viewer for GNOME
 Loupe is a simple image viewer for the GNOME desktop.
 It uses glycin-loaders for image loading and decoding.
 A wide range of image formats is supported.
 Basic image editing like cropping and rotation is supported.
 Starting with GNOME 45 this is the default image viewer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export DEB_HOST_RUST_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

# Disable lto on 32-bit arches since it OOMs otherwise
execute_before_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH_BITS),32)
export DEB_BUILD_OPTIONS += optimize=-lto
endif


override_dh_auto_configure:
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
	-Dx11=enabled

# Give the tests more time on slow arches
override_dh_auto_test:
	dh_auto_test --  --timeout-multiplier 5

override_dh_auto_install:
	$(if $(findstring armhf,$(DEB_HOST_ARCH)), DEB_BUILD_OPTIONS="parallel=4 $(filter-out parallel=%,$(DEB_BUILD_OPTIONS))") dh_auto_install

vendor:
	dh_quilt_patch
	rm -f .cargo/config
	rm -rf debian/missing-sources/
	$ cargo vendor-filterer --platform='*-*-linux-gnu' --platform '*-*-linux-gnueabi' \
	  --exclude-crate-path system-deps#src/tests/lib/libteststatic.a --all-features \
	  debian/missing-sources/
	git add -f debian/missing-sources
	git commit -m "Update vendored rust crates" || true
	git reset --hard && git clean -fdx

	uscan --download-current-version --destdir=..
	rm debian/source/include-binaries
	dpkg-source --include-binaries -b .
	git add debian/source/include-binaries
	git commit -m "Update debian/source/include-binaries" || true
	git reset --hard && git clean -fdx

	rm Cargo.toml
	VENDORED_SOURCES=$$(CARGO_VENDOR_DIR=debian/missing-sources/ /usr/share/cargo/bin/dh-cargo-vendored-sources 2>&1 | grep "^XS-Vendored-Sources-Rust:") \
	  && sed -i "s/^XS-Vendored-Sources-Rust:.*/$${VENDORED_SOURCES}/" debian/control
	git add debian/control
	git commit -m "Update XS-Vendored-Sources-Rust field" || true
	git checkout Cargo.toml

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
    https://gitlab.gnome.org/GNOME/loupe/tags?sort=updated_desc -/archive/[\d.]+?(?:beta|rc)?[\d.]*/\
 loupe-([\d.]+?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@

## loupe 49.1

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: ['release', 'dev'],
  value: 'release',
  description: 'Cargo profile value.',
)
option(
  'app_id_suffix',
  type: 'combo',
  choices: ['', '.Devel'],
  value: '',
  description: 'Value will be appended to the app id.',
)
option(
  'x11',
  type: 'feature',
  description: 'Enable X11 specific features.',
)

=== debian/changelog ===
loupe (49.1-1ubuntu1) resolute; urgency=medium

  [ Alessandro Astone ]
  * Update vendored rust crates
  * Update XS-Vendored-Sources-Rust field

  [ Jeremy Bícha ]
  * Add Build-Depends: dh-sequence-gnome (LP: #2126647)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 05 Nov 2025 16:00:35 +0100

loupe (49.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches for new upstream
  * d/control: Drop Rules-Require-Root field

 -- Matthias Geiger <werdahias@debian.org>  Fri, 24 Oct 2025 21:26:41 +0200

=== debian/control ===
Source: loupe
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gnome,
 meson (>= 0.59.0),
 quilt,
 desktop-file-utils,
 itstool,
 libadwaita-1-dev (>= 1.7.0-~~),
 liblcms2-dev (>= 2.12.0),
 libgtk-4-dev (>= 4.16),
 libgweather-4-dev (>= 4.0.0),
 libseccomp-dev (>= 2.5.0),
 dh-cargo,
 cargo:native,
 rustc:native (>= 1.85),
 libstd-rust-dev,
# librust-anyhow-1+default-dev (>= 1.0.66-~~),
# librust-arc-swap-1+default-dev (>= 1.6.0-~~),
# librust-ashpd-0.12+async-std-dev,
# librust-ashpd-0.12+gtk4-wayland-dev,
# librust-async-channel-2+default-dev (>= 2.1.0-~~),
# librust-async-lock-3+default-dev (>= 3.4.0-~~),
# librust-cairo-rs-0.21+default-dev,
# librust-cairo-rs-0.21+pdf-dev,
# librust-chrono-0.4+std-dev (>= 0.4.38-~~),
# librust-gettext-rs-0.7+default-dev,
# librust-gettext-rs-0.7+gettext-system-dev,
# librust-gettext-sys-0.21+default-dev,
# librust-gettext-sys-0.21+gettext-system-dev,
# librust-gio-0.21+default-dev,
# librust-gio-0.21+v2-74-dev,
# librust-glycin-3+default-dev,
# librust-glycin-3+gdk4-dev,
# librust-glycin-3+unstable-config-dev,
# librust-gtk4-0.10+default-dev,
# librust-gtk4-0.10+v4-14-dev,
# librust-gtk4-0.10+xml-validation-dev,
# librust-gufo-0.3+all-image-formats-dev,
# librust-gufo-0.3+chrono-dev,
# librust-gufo-0.3+default-dev,
# librust-gufo-common-1+default-dev,
# librust-gufo-common-1+serde-dev,
# librust-gvdb-macros-0.1+default-dev (>= 0.1.6-~~),
# librust-indexmap-2+default-dev,
# librust-libadwaita-0.8+default-dev,
# librust-libadwaita-0.8+v1-6-dev,
# librust-libc-0.2+default-dev (>= 0.2.158-~~),
# librust-libgweather-4+default-dev (>= 4.4.0-~~),
# librust-log-0.4+default-dev (>= 0.4.17-~~),
# librust-strum-0.26+default-dev,
# librust-strum-0.26+derive-dev,
# librust-thiserror-2+default-dev (>= 2.0.3-~~),
# librust-tracing-subscriber-0.3+default-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.18-~~),
# librust-url-2+default-dev (>= 2.3.1-~~)
XS-Vendored-Sources-Rust: adler2@2.0.1, aho-corasick@1.1.3, anyhow@1.0.99, arc-swap@1.7.1, ashpd@0.12.0, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.3, async-fs@2.1.3, async-global-executor@3.1.0, async-io@2.5.0, async-lock@3.4.1, async-net@2.0.0, async-process@2.4.0, async-signal@0.2.12, async-task@4.7.1, async-trait@0.1.89, atomic-waker@1.1.2, autocfg@1.5.0, bitflags@2.9.4, blocking@1.6.2, bytemuck@1.23.2, byteorder@1.5.0, cairo-rs@0.21.1, cairo-sys-rs@0.21.1, cc@1.2.36, cfg-expr@0.20.2, cfg-if@1.0.3, cfg_aliases@0.2.1, chrono@0.4.42, concurrent-queue@2.5.0, crc32fast@1.5.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, displaydoc@0.2.5, dlib@0.5.2, dunce@1.0.5, either@1.15.0, encoding_rs@0.8.35, endi@1.1.0, enumflags2@0.7.12, enumflags2_derive@0.7.12, env_filter@0.1.3, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.14, event-listener-strategy@0.5.4, event-listener@5.4.1, fastrand@2.3.0, field-offset@0.3.6, find-msvc-tools@0.1.1, flate2@1.1.2, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, form_urlencoded@1.2.2, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.1, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, gdk-pixbuf-sys@0.21.1, gdk-pixbuf@0.21.1, gdk4-sys@0.10.0, gdk4-wayland-sys@0.10.0, gdk4-wayland@0.10.0, gdk4-x11-sys@0.10.0, gdk4-x11@0.10.0, gdk4@0.10.0, getrandom@0.3.3, gettext-rs@0.7.2, gettext-sys@0.22.5, gio-sys@0.21.1, gio@0.21.1, glib-macros@0.21.0, glib-sys@0.21.1, glib@0.21.1, glycin-common@1.0.0, glycin-utils@4.0.4, glycin@3.0.4, gobject-sys@0.21.1, graphene-rs@0.21.1, graphene-sys@0.21.1, gsk4-sys@0.10.0, gsk4@0.10.0, gtk4-macros@0.10.0, gtk4-sys@0.10.0, gtk4@0.10.0, gufo-common@1.0.1, gufo-exif@0.3.0, gufo-jpeg@0.3.0, gufo-png@0.3.0, gufo-tiff@0.3.0, gufo-webp@0.3.0, gufo-xmp@0.3.0, gufo@0.3.0, gvdb-macros@0.1.15, gvdb@0.9.0, gweather-sys@4.6.0, half@2.6.0, hashbrown@0.15.5, heck@0.5.0, hex@0.4.3, icu_collections@2.0.0, icu_locale_core@2.0.0, icu_normalizer@2.0.0, icu_normalizer_data@2.0.0, icu_properties@2.0.1, icu_properties_data@2.0.1, icu_provider@2.0.0, idna@1.1.0, idna_adapter@1.2.1, indexmap@2.11.1, itoa@1.0.15, jiff@0.2.15, jobserver@0.1.34, lazy_static@1.5.0, lcms2-sys@4.0.6, lcms2@6.1.1, libadwaita-sys@0.8.0, libadwaita@0.8.0, libc@0.2.175, libgweather@4.6.0, libloading@0.8.8, libseccomp-sys@0.3.0, libseccomp@0.4.0, linux-raw-sys@0.11.0, litemap@0.8.0, litrs@0.5.1, locale_config@0.3.0, log@0.4.28, matchers@0.2.0, memchr@2.7.5, memfd@0.6.5, memmap2@0.9.8, memoffset@0.9.1, miniz_oxide@0.8.9, nix@0.30.1, nu-ansi-term@0.50.1, num-traits@0.2.19, once_cell@1.21.3, ordered-stream@0.2.0, pango-sys@0.21.1, pango@0.21.1, parking@2.2.1, paste@1.0.15, percent-encoding@2.3.2, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, polling@3.10.0, potential_utf@0.1.3, ppv-lite86@0.2.21, proc-macro-crate@3.3.0, proc-macro2@1.0.101, quick-xml@0.38.3, quote@1.0.40, rand@0.9.2, rand_chacha@0.9.0, rand_core@0.9.3, rayon-core@1.13.0, rayon@1.11.0, regex-automata@0.4.10, regex-syntax@0.8.6, regex@1.11.2, rmp-serde@1.3.0, rmp@0.8.14, rustc_version@0.4.1, rustix@1.1.2, ryu@1.0.20, same-file@1.0.6, semver@1.0.26, serde@1.0.219, serde_derive@1.0.219, serde_json@1.0.143, serde_repr@0.1.20, serde_spanned@0.6.9, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.6, slab@0.4.11, smallvec@1.15.1, stable_deref_trait@1.2.0, static_assertions@1.1.0, strum@0.27.2, strum_macros@0.27.2, syn@2.0.106, synstructure@0.13.2, system-deps@7.0.5, target-lexicon@0.13.2, temp-dir@0.1.16, thiserror-impl@2.0.16, thiserror@2.0.16, thread_local@1.1.9, tinystr@0.8.1, toml@0.8.23, toml_datetime@0.6.11, toml_edit@0.22.27, tracing-attributes@0.1.30, tracing-core@0.1.34, tracing-log@0.2.0, tracing-subscriber@0.3.20, tracing@0.1.41, unicode-ident@1.0.19, url@2.5.7, utf8_iter@1.0.4, version-compare@0.2.0, walkdir@2.5.0, winnow@0.7.13, writeable@0.6.1, x11@2.21.0, xml-rs@0.8.27, yeslogic-fontconfig-sys@6.0.0, yoke-derive@0.8.0, yoke@0.8.0, zbus@5.11.0, zbus_macros@5.11.0, zbus_names@4.2.0, zerocopy-derive@0.8.27, zerocopy@0.8.27, zerofrom-derive@0.1.6, zerofrom@0.1.6, zerotrie@0.2.2, zerovec-derive@0.11.1, zerovec@0.11.4, zvariant@5.7.0, zvariant_derive@5.7.0, zvariant_utils@3.2.1
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Loupe/
Vcs-Browser: https://salsa.debian.org/gnome-team/loupe
Vcs-Git: https://salsa.debian.org/gnome-team/loupe.git

Package: loupe
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 glycin-loaders (>= 2.0~rc+ds-~~),
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Image viewer for GNOME
 Loupe is a simple image viewer for the GNOME desktop.
 It uses glycin-loaders for image loading and decoding.
 A wide range of image formats is supported.
 Basic image editing like cropping and rotation is supported.
 Starting with GNOME 45 this is the default image viewer.

=== debian/rules ===
--- 
+++ 
@@ -52,3 +52,5 @@
 	git add debian/control
 	git commit -m "Update XS-Vendored-Sources-Rust field" || true
 	git checkout Cargo.toml
+
+override_dh_gnome_clean:

## loupe 49.2

=== debian/changelog ===
loupe (49.2-1ubuntu1) resolute; urgency=medium

  * Merge with debian (LP: #2141180). Remaining changes:
    - Vendor the rust crates
    - Add d/p/Make-background-color-switching-algorithm-more-aggressive.patch
  * d/patches, d/rules: Drop unnecessary patch-meson-build.diff
  * d/rules: Use gbp-export-orig in vendoring target
  * Update vendored rust crates
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Feb 2026 12:55:41 +0100

loupe (49.2-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Sun, 04 Jan 2026 22:35:35 +0100

loupe (49.1-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add Build-Depends: dh-sequence-gnome (LP: #2126647)

  [ Matthias Geiger ]
  * Cherry-pick upstream patch to build with newer libadwaita (Closes: #1124175)
  * d/control: Bump S-V to 4.7.3; drop priority: optional

 -- Matthias Geiger <werdahias@debian.org>  Wed, 31 Dec 2025 17:21:39 +0100

=== debian/control ===
Source: loupe
Section: gnome
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gnome,
 meson (>= 0.59.0),
 quilt,
 desktop-file-utils,
 itstool,
 libadwaita-1-dev (>= 1.7.0-~~),
 liblcms2-dev (>= 2.12.0),
 libgtk-4-dev (>= 4.16),
 libgweather-4-dev (>= 4.0.0),
 libseccomp-dev (>= 2.5.0),
 dh-cargo,
 cargo:native,
 rustc:native (>= 1.85),
 libstd-rust-dev,
# librust-anyhow-1+default-dev (>= 1.0.66-~~),
# librust-arc-swap-1+default-dev (>= 1.6.0-~~),
# librust-ashpd-0.12+async-std-dev,
# librust-ashpd-0.12+gtk4-wayland-dev,
# librust-async-channel-2+default-dev (>= 2.1.0-~~),
# librust-async-lock-3+default-dev (>= 3.4.0-~~),
# librust-cairo-rs-0.21+default-dev,
# librust-cairo-rs-0.21+pdf-dev,
# librust-chrono-0.4+std-dev (>= 0.4.38-~~),
# librust-gettext-rs-0.7+default-dev,
# librust-gettext-rs-0.7+gettext-system-dev,
# librust-gettext-sys-0.21+default-dev,
# librust-gettext-sys-0.21+gettext-system-dev,
# librust-gio-0.21+default-dev,
# librust-gio-0.21+v2-74-dev,
# librust-glycin-3+default-dev,
# librust-glycin-3+gdk4-dev,
# librust-glycin-3+unstable-config-dev,
# librust-gtk4-0.10+default-dev,
# librust-gtk4-0.10+v4-14-dev,
# librust-gtk4-0.10+xml-validation-dev,
# librust-gufo-0.3+all-image-formats-dev,
# librust-gufo-0.3+chrono-dev,
# librust-gufo-0.3+default-dev,
# librust-gufo-common-1+default-dev,
# librust-gufo-common-1+serde-dev,
# librust-gvdb-macros-0.1+default-dev (>= 0.1.6-~~),
# librust-indexmap-2+default-dev,
# librust-libadwaita-0.8+default-dev,
# librust-libadwaita-0.8+v1-6-dev,
# librust-libc-0.2+default-dev (>= 0.2.158-~~),
# librust-libgweather-4+default-dev (>= 4.4.0-~~),
# librust-log-0.4+default-dev (>= 0.4.17-~~),
# librust-strum-0.26+default-dev,
# librust-strum-0.26+derive-dev,
# librust-thiserror-2+default-dev (>= 2.0.3-~~),
# librust-tracing-subscriber-0.3+default-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.18-~~),
# librust-url-2+default-dev (>= 2.3.1-~~)
XS-Vendored-Sources-Rust: adler2@2.0.1, aho-corasick@1.1.3, anyhow@1.0.99, arc-swap@1.7.1, ashpd@0.12.0, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.3, async-fs@2.1.3, async-global-executor@3.1.0, async-io@2.5.0, async-lock@3.4.1, async-net@2.0.0, async-process@2.4.0, async-signal@0.2.12, async-task@4.7.1, async-trait@0.1.89, atomic-waker@1.1.2, autocfg@1.5.0, bitflags@2.9.4, blocking@1.6.2, bytemuck@1.23.2, byteorder@1.5.0, cairo-rs@0.21.1, cairo-sys-rs@0.21.1, cc@1.2.36, cfg-expr@0.20.2, cfg-if@1.0.3, cfg_aliases@0.2.1, chrono@0.4.42, concurrent-queue@2.5.0, crc32fast@1.5.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, displaydoc@0.2.5, dlib@0.5.2, dunce@1.0.5, either@1.15.0, encoding_rs@0.8.35, endi@1.1.0, enumflags2@0.7.12, enumflags2_derive@0.7.12, env_filter@0.1.3, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.14, event-listener-strategy@0.5.4, event-listener@5.4.1, fastrand@2.3.0, field-offset@0.3.6, find-msvc-tools@0.1.1, flate2@1.1.2, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, form_urlencoded@1.2.2, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.1, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, gdk-pixbuf-sys@0.21.1, gdk-pixbuf@0.21.1, gdk4-sys@0.10.0, gdk4-wayland-sys@0.10.0, gdk4-wayland@0.10.0, gdk4-x11-sys@0.10.0, gdk4-x11@0.10.0, gdk4@0.10.0, getrandom@0.3.3, gettext-rs@0.7.2, gettext-sys@0.22.5, gio-sys@0.21.1, gio@0.21.1, glib-macros@0.21.0, glib-sys@0.21.1, glib@0.21.1, glycin-common@1.0.0, glycin-utils@4.0.4, glycin@3.0.4, gobject-sys@0.21.1, graphene-rs@0.21.1, graphene-sys@0.21.1, gsk4-sys@0.10.0, gsk4@0.10.0, gtk4-macros@0.10.0, gtk4-sys@0.10.0, gtk4@0.10.0, gufo-common@1.0.1, gufo-exif@0.3.1, gufo-jpeg@0.3.0, gufo-png@0.3.0, gufo-tiff@0.3.0, gufo-webp@0.3.0, gufo-xmp@0.3.0, gufo@0.3.0, gvdb-macros@0.1.15, gvdb@0.9.0, gweather-sys@4.6.0, half@2.6.0, hashbrown@0.15.5, heck@0.5.0, hex@0.4.3, icu_collections@2.0.0, icu_locale_core@2.0.0, icu_normalizer@2.0.0, icu_normalizer_data@2.0.0, icu_properties@2.0.1, icu_properties_data@2.0.1, icu_provider@2.0.0, idna@1.1.0, idna_adapter@1.2.1, indexmap@2.11.1, itoa@1.0.15, jiff@0.2.15, jobserver@0.1.34, lazy_static@1.5.0, lcms2-sys@4.0.6, lcms2@6.1.1, libadwaita-sys@0.8.0, libadwaita@0.8.0, libc@0.2.175, libgweather@4.6.0, libloading@0.8.8, libseccomp-sys@0.3.0, libseccomp@0.4.0, linux-raw-sys@0.11.0, litemap@0.8.0, litrs@0.5.1, locale_config@0.3.0, log@0.4.28, matchers@0.2.0, memchr@2.7.5, memfd@0.6.5, memmap2@0.9.8, memoffset@0.9.1, miniz_oxide@0.8.9, nix@0.30.1, nu-ansi-term@0.50.1, num-traits@0.2.19, once_cell@1.21.3, ordered-stream@0.2.0, pango-sys@0.21.1, pango@0.21.1, parking@2.2.1, paste@1.0.15, percent-encoding@2.3.2, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, polling@3.10.0, potential_utf@0.1.3, ppv-lite86@0.2.21, proc-macro-crate@3.3.0, proc-macro2@1.0.101, quick-xml@0.38.3, quote@1.0.40, rand@0.9.2, rand_chacha@0.9.0, rand_core@0.9.3, rayon-core@1.13.0, rayon@1.11.0, regex-automata@0.4.10, regex-syntax@0.8.6, regex@1.11.2, rmp-serde@1.3.0, rmp@0.8.14, rustc_version@0.4.1, rustix@1.1.2, ryu@1.0.20, same-file@1.0.6, semver@1.0.26, serde@1.0.219, serde_derive@1.0.219, serde_json@1.0.143, serde_repr@0.1.20, serde_spanned@0.6.9, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.6, slab@0.4.11, smallvec@1.15.1, stable_deref_trait@1.2.0, static_assertions@1.1.0, strum@0.27.2, strum_macros@0.27.2, syn@2.0.106, synstructure@0.13.2, system-deps@7.0.5, target-lexicon@0.13.2, temp-dir@0.1.16, thiserror-impl@2.0.16, thiserror@2.0.16, thread_local@1.1.9, tinystr@0.8.1, toml@0.8.23, toml_datetime@0.6.11, toml_edit@0.22.27, tracing-attributes@0.1.30, tracing-core@0.1.34, tracing-log@0.2.0, tracing-subscriber@0.3.20, tracing@0.1.41, unicode-ident@1.0.19, url@2.5.7, utf8_iter@1.0.4, version-compare@0.2.0, walkdir@2.5.0, winnow@0.7.13, writeable@0.6.1, x11@2.21.0, xml-rs@0.8.27, yeslogic-fontconfig-sys@6.0.0, yoke-derive@0.8.0, yoke@0.8.0, zbus@5.11.0, zbus_macros@5.11.0, zbus_names@4.2.0, zerocopy-derive@0.8.27, zerocopy@0.8.27, zerofrom-derive@0.1.6, zerofrom@0.1.6, zerotrie@0.2.2, zerovec-derive@0.11.1, zerovec@0.11.4, zvariant@5.7.0, zvariant_derive@5.7.0, zvariant_utils@3.2.1
Standards-Version: 4.7.3
Homepage: https://apps.gnome.org/Loupe/
Vcs-Browser: https://salsa.debian.org/gnome-team/loupe
Vcs-Git: https://salsa.debian.org/gnome-team/loupe.git

Package: loupe
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 glycin-loaders (>= 2.0~rc+ds-~~),
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Image viewer for GNOME
 Loupe is a simple image viewer for the GNOME desktop.
 It uses glycin-loaders for image loading and decoding.
 A wide range of image formats is supported.
 Basic image editing like cropping and rotation is supported.
 Starting with GNOME 45 this is the default image viewer.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
-include /usr/share/rustc/architecture.mk
-export DEB_HOST_RUST_TYPE
-export DEB_HOST_GNU_TYPE
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 %:
@@ -18,7 +15,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
 	-Dx11=enabled
 
 # Give the tests more time on slow arches
@@ -39,7 +35,7 @@
 	git commit -m "Update vendored rust crates" || true
 	git reset --hard && git clean -fdx
 
-	uscan --download-current-version --destdir=..
+	gbp export-orig
 	rm debian/source/include-binaries
 	dpkg-source --include-binaries -b .
 	git add debian/source/include-binaries

## loupe 50~beta

=== debian/changelog ===
loupe (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release 50.beta
  * Bump the libadwaita-1 requirement to 1.8.0
  * Refresh patches and fix conflicts:
    - patch-meson-build.diff (disabled)
    - relax-gettext-sys.diff (disabled)
    - Make-background-color-switching-algorithm-more-aggressive.patch
  * Drop upstreamed patches:
    - update-deps.patch
  * debian/control: Update Vcs- fields to point to the Ubuntu repo.
  * Update vendored Rust crates
  * Update XS-Vendored-Sources-Rust field
  * debian: Force using Rust 1.92 which 50.beta requires, because default Rust
    in Resolute is still 1.88.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 13 Feb 2026 17:38:23 +0800

=== debian/control ===
Source: loupe
Section: gnome
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gnome,
 meson (>= 0.59.0),
 quilt,
 desktop-file-utils,
 itstool,
 libadwaita-1-dev (>= 1.8.0),
 liblcms2-dev (>= 2.12.0),
 libgtk-4-dev (>= 4.16),
 libgweather-4-dev (>= 4.0.0),
 libseccomp-dev (>= 2.5.0),
 dh-cargo,
 cargo-1.92,
 rustc-1.92,
 libstd-rust-dev,
# librust-anyhow-1+default-dev (>= 1.0.66-~~),
# librust-arc-swap-1+default-dev (>= 1.6.0-~~),
# librust-ashpd-0.12+async-std-dev,
# librust-ashpd-0.12+gtk4-wayland-dev,
# librust-async-channel-2+default-dev (>= 2.1.0-~~),
# librust-async-lock-3+default-dev (>= 3.4.0-~~),
# librust-cairo-rs-0.21+default-dev,
# librust-cairo-rs-0.21+pdf-dev,
# librust-chrono-0.4+std-dev (>= 0.4.38-~~),
# librust-gettext-rs-0.7+default-dev,
# librust-gettext-rs-0.7+gettext-system-dev,
# librust-gettext-sys-0.21+default-dev,
# librust-gettext-sys-0.21+gettext-system-dev,
# librust-gio-0.21+default-dev,
# librust-gio-0.21+v2-74-dev,
# librust-glycin-3+default-dev,
# librust-glycin-3+gdk4-dev,
# librust-glycin-3+unstable-config-dev,
# librust-gtk4-0.10+default-dev,
# librust-gtk4-0.10+v4-14-dev,
# librust-gtk4-0.10+xml-validation-dev,
# librust-gufo-0.3+all-image-formats-dev,
# librust-gufo-0.3+chrono-dev,
# librust-gufo-0.3+default-dev,
# librust-gufo-common-1+default-dev,
# librust-gufo-common-1+serde-dev,
# librust-gvdb-macros-0.1+default-dev (>= 0.1.6-~~),
# librust-indexmap-2+default-dev,
# librust-libadwaita-0.8+default-dev,
# librust-libadwaita-0.8+v1-6-dev,
# librust-libc-0.2+default-dev (>= 0.2.158-~~),
# librust-libgweather-4+default-dev (>= 4.4.0-~~),
# librust-log-0.4+default-dev (>= 0.4.17-~~),
# librust-strum-0.26+default-dev,
# librust-strum-0.26+derive-dev,
# librust-thiserror-2+default-dev (>= 2.0.3-~~),
# librust-tracing-subscriber-0.3+default-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.18-~~),
# librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.18-~~),
# librust-url-2+default-dev (>= 2.3.1-~~)
XS-Vendored-Sources-Rust: adler2@2.0.1, aho-corasick@1.1.4, anyhow@1.0.100, arc-swap@1.8.0, ashpd@0.13.0-alpha, async-broadcast@0.7.2, async-channel@2.5.0, async-executor@1.13.3, async-fs@2.2.0, async-global-executor@3.1.0, async-io@2.6.0, async-lock@3.4.2, async-process@2.5.0, async-signal@0.2.13, async-task@4.7.1, async-trait@0.1.89, atomic-waker@1.1.2, autocfg@1.5.0, bitflags@2.10.0, blocking@1.6.2, bytemuck@1.24.0, cairo-rs@0.22.0-alpha.2, cairo-sys-rs@0.22.0-alpha.2, cc@1.2.55, cfg-expr@0.20.6, cfg-if@1.0.4, cfg_aliases@0.2.1, chrono@0.4.43, concurrent-queue@2.5.0, crc32fast@1.5.0, crossbeam-deque@0.8.6, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.21, displaydoc@0.2.5, dlib@0.5.2, dunce@1.0.5, either@1.15.0, encoding_rs@0.8.35, endi@1.1.1, enumflags2@0.7.12, enumflags2_derive@0.7.12, env_filter@0.1.4, env_logger@0.11.8, equivalent@1.0.2, errno@0.3.14, event-listener-strategy@0.5.4, event-listener@5.4.1, fastrand@2.3.0, field-offset@0.3.6, find-msvc-tools@0.1.9, flate2@1.1.8, foreign-types-macros@0.2.3, foreign-types-shared@0.3.1, foreign-types@0.5.0, form_urlencoded@1.2.2, futures-channel@0.3.31, futures-core@0.3.31, futures-executor@0.3.31, futures-io@0.3.31, futures-lite@2.6.1, futures-macro@0.3.31, futures-task@0.3.31, futures-timer@3.0.3, futures-util@0.3.31, gdk-pixbuf-sys@0.22.0-alpha.2, gdk-pixbuf@0.22.0-alpha.2, gdk4-sys@0.11.0-alpha.2, gdk4-wayland-sys@0.11.0-alpha.2, gdk4-wayland@0.11.0-alpha.2, gdk4-x11-sys@0.11.0-alpha.2, gdk4-x11@0.11.0-alpha.2, gdk4@0.11.0-alpha.2, getrandom@0.3.4, gettext-rs@0.7.7, gettext-sys@0.26.0, gio-sys@0.21.5, gio-sys@0.22.0-alpha.2, gio@0.21.5, gio@0.22.0-alpha.2, glib-macros@0.21.5, glib-macros@0.22.0-alpha.2, glib-sys@0.21.5, glib-sys@0.22.0-alpha.2, glib@0.21.5, glib@0.22.0-alpha.2, glycin-common@1.0.4-alpha.3, glycin-utils@4.1.0-alpha.3, glycin@3.1.0-beta, gobject-sys@0.21.5, gobject-sys@0.22.0-alpha.2, graphene-rs@0.22.0-alpha.2, graphene-sys@0.22.0-alpha.2, gsk4-sys@0.11.0-alpha.2, gsk4@0.11.0-alpha.2, gtk4-macros@0.11.0-alpha.2, gtk4-sys@0.11.0-alpha.2, gtk4@0.11.0-alpha.2, gufo-common@1.1.0-alpha, gufo-exif@0.4.0-alpha, gufo-jpeg@0.4.0-alpha, gufo-png@0.4.0-alpha, gufo-tiff@0.4.0-alpha, gufo-webp@0.4.0-alpha, gufo-xmp@0.4.0-alpha, gufo@0.4.0-alpha, gvdb-macros@0.1.15, gvdb@0.9.0, gweather-sys@4.7.0, half@2.7.1, hashbrown@0.16.1, heck@0.5.0, hex@0.4.3, icu_collections@2.1.1, icu_locale_core@2.1.1, icu_normalizer@2.1.1, icu_normalizer_data@2.1.1, icu_properties@2.1.2, icu_properties_data@2.1.2, icu_provider@2.1.1, idna@1.1.0, idna_adapter@1.2.1, indexmap@2.13.0, itoa@1.0.17, jiff@0.2.18, jobserver@0.1.34, lazy_static@1.5.0, lcms2-sys@4.0.6, lcms2@6.1.1, libadwaita-sys@0.9.0-alpha.0, libadwaita@0.9.0-alpha.0, libc@0.2.180, libgweather@4.7.0, libloading@0.8.9, libseccomp-sys@0.3.0, libseccomp@0.4.0, linux-raw-sys@0.11.0, litemap@0.8.1, litrs@0.5.1, locale_config@0.3.0, log@0.4.29, matchers@0.2.0, memchr@2.7.6, memfd@0.6.5, memmap2@0.9.9, memoffset@0.9.1, miniz_oxide@0.8.9, miniz_oxide@0.9.0, nix@0.30.1, nu-ansi-term@0.50.3, num-traits@0.2.19, once_cell@1.21.3, ordered-stream@0.2.0, pango-sys@0.22.0-alpha.2, pango@0.22.0-alpha.2, parking@2.2.1, paste@1.0.15, percent-encoding@2.3.2, pin-project-lite@0.2.16, pin-utils@0.1.0, piper@0.2.4, pkg-config@0.3.32, polling@3.11.0, potential_utf@0.1.4, proc-macro-crate@3.4.0, proc-macro2@1.0.106, quick-xml@0.38.4, quote@1.0.44, rayon-core@1.13.0, rayon@1.11.0, regex-automata@0.4.13, regex-syntax@0.8.8, regex@1.12.2, rmp-serde@1.3.1, rmp@0.8.15, rustc_version@0.4.1, rustix@1.1.3, rustversion@1.0.22, same-file@1.0.6, semver@1.0.27, serde@1.0.228, serde_core@1.0.228, serde_derive@1.0.228, serde_json@1.0.149, serde_repr@0.1.20, serde_spanned@1.0.4, sharded-slab@0.1.7, shlex@1.3.0, signal-hook-registry@1.4.8, simd-adler32@0.3.8, slab@0.4.11, smallvec@1.15.1, stable_deref_trait@1.2.1, static_assertions@1.1.0, strum@0.27.2, strum_macros@0.27.2, syn@2.0.114, synstructure@0.13.2, system-deps@7.0.7, target-lexicon@0.13.3, temp-dir@0.1.16, thiserror-impl@2.0.18, thiserror@2.0.18, thread_local@1.1.9, tinystr@0.8.2, toml@0.9.11+spec-1.1.0, toml_datetime@0.7.5+spec-1.1.0, toml_edit@0.23.10+spec-1.0.0, toml_parser@1.0.6+spec-1.1.0, toml_writer@1.0.6+spec-1.1.0, tracing-attributes@0.1.31, tracing-core@0.1.36, tracing-subscriber@0.3.22, tracing@0.1.44, unicode-ident@1.0.22, url@2.5.8, utf8_iter@1.0.4, uuid@1.20.0, version-compare@0.2.1, walkdir@2.5.0, winnow@0.7.14, writeable@0.6.2, x11@2.21.0, xml-rs@0.8.28, yeslogic-fontconfig-sys@6.0.0, yoke-derive@0.8.1, yoke@0.8.1, zbus@5.13.2, zbus_macros@5.13.2, zbus_names@4.3.1, zerocopy-derive@0.8.37, zerocopy@0.8.37, zerofrom-derive@0.1.6, zerofrom@0.1.6, zerotrie@0.2.3, zerovec-derive@0.11.2, zerovec@0.11.5, zmij@1.0.17, zvariant@5.9.2, zvariant_derive@5.9.2, zvariant_utils@3.3.0
Standards-Version: 4.7.3
Homepage: https://apps.gnome.org/Loupe/
Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/loupe
Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/loupe.git

Package: loupe
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 glycin-loaders (>= 2.0~rc+ds-~~),
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Image viewer for GNOME
 Loupe is a simple image viewer for the GNOME desktop.
 It uses glycin-loaders for image loading and decoding.
 A wide range of image formats is supported.
 Basic image editing like cropping and rotation is supported.
 Starting with GNOME 45 this is the default image viewer.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 include /usr/share/dpkg/default.mk
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+
+export PATH:=/usr/lib/rust-1.92/bin:$(PATH)
 
 %:
 	dh $@
